Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice.jdbc
Class DistributedPreparedStatement

    java.lang.Object
      org.apache.openjpa.slice.jdbc.DistributedTemplate<PreparedStatement>
          org.apache.openjpa.slice.jdbc.DistributedPreparedStatement

All Implemented Interfaces:
  Iterable<PreparedStatement>, PreparedStatement, Statement, Wrapper

    public class DistributedPreparedStatement

extends DistributedTemplate<PreparedStatement>
implements PreparedStatement

A virtual PreparedStaement that delegates to a set of actual PreparedStatements.

Author:
  Pinaki Poddar

Field Summary

Fields inherited from class org.apache.openjpa.slice.jdbc.DistributedTemplate
`con, master, stmts`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`DistributedPreparedStatement(DistributedConnection c)`

Method Summary
`void` | `addBatch()`
`void` | `clearParameters()`
`void` | `closeOnCompletion()`
`boolean` | `execute()`
`ResultSet` | `executeQuery()`
`int` | `executeUpdate()`
`ResultSetMetaData` | `getMetaData()`
`ParameterMetaData` | `getParameterMetaData()`
`boolean` | `isCloseOnCompletion()`
`void` | `setArray(int i, Array x)`
`void` | `setAsciiStream(int arg0, InputStream arg1)`
`void` | `setAsciiStream(int arg0, InputStream arg1, int arg2)`
`void` | `setAsciiStream(int arg0, InputStream arg1, long arg2)`
`void` | `setBigDecimal(int arg0, BigDecimal arg1)`
`void` | `setBinaryStream(int arg0, InputStream arg1)`
`void` | `setBinaryStream(int arg0, InputStream arg1, int arg2)`
`void` | `setBinaryStream(int arg0, InputStream arg1, long arg2)`
`void` | `setBlob(int arg0, Blob arg1)`
`void` | `setBlob(int arg0, InputStream arg1)`
`void` | `setBlob(int arg0, InputStream arg1, long arg2)`
`void` | `setBoolean(int arg0, boolean arg1)`
`void` | `setByte(int arg0, byte arg1)`
`void` | `setBytes(int arg0, byte[] arg1)`
`void` | `setCharacterStream(int arg0, Reader arg1)`
`void` | `setCharacterStream(int arg0, Reader arg1, int arg2)`
`void` | `setCharacterStream(int arg0, Reader arg1, long arg2)`
`void` | `setClob(int arg0, Clob arg1)`
`void` | `setClob(int arg0, Reader arg1)`
`void` | `setClob(int arg0, Reader arg1, long arg2)`
`void` | `setDate(int arg0, Date arg1)`
`void` | `setDate(int arg0, Date arg1, Calendar arg2)`
`void` | `setDouble(int arg0, double arg1)`
`void` | `setFloat(int arg0, float arg1)`
`void` | `setInt(int arg0, int arg1)`
`void` | `setLong(int arg0, long arg1)`
`void` | `setNCharacterStream(int arg0, Reader arg1)`
`void` | `setNCharacterStream(int arg0, Reader arg1, long arg2)`
`void` | `setNClob(int arg0, NClob arg1)`
`void` | `setNClob(int arg0, Reader arg1)`
`void` | `setNClob(int arg0, Reader arg1, long arg2)`
`void` | `setNString(int arg0, String arg1)`
`void` | `setNull(int arg0, int arg1)`
`void` | `setNull(int arg0, int arg1, String arg2)`
`void` | `setObject(int arg0, Object arg1)`
`void` | `setObject(int arg0, Object arg1, int arg2)`
`void` | `setObject(int arg0, Object arg1, int arg2, int arg3)`
`void` | `setRef(int arg0, Ref arg1)`
`void` | `setRowId(int arg0, RowId arg1)`
`void` | `setShort(int arg0, short arg1)`
`void` | `setSQLXML(int arg0, SQLXML arg1)`
`void` | `setString(int arg0, String arg1)`
`void` | `setTime(int arg0, Time arg1)`
`void` | `setTime(int arg0, Time arg1, Calendar arg2)`
`void` | `setTimestamp(int arg0, Timestamp arg1)`
`void` | `setTimestamp(int arg0, Timestamp arg1, Calendar arg2)`
`void` | `setUnicodeStream(int arg0, InputStream arg1, int arg2)`
`void` | `setURL(int arg0, URL arg1)`

Methods inherited from class org.apache.openjpa.slice.jdbc.DistributedTemplate
`add, addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isPoolable, isWrapperFor, iterator, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Statement
`addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Constructor Detail

### DistributedPreparedStatement

    public DistributedPreparedStatement(DistributedConnection c)

Method Detail

### clearParameters

    public void clearParameters()
                         throws SQLException

  Specified by:
    `clearParameters` in interface `PreparedStatement`
  Throws:
    `SQLException`

### execute

    public boolean execute()
                    throws SQLException

  Specified by:
    `execute` in interface `PreparedStatement`
  Throws:
    `SQLException`

### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

  Specified by:
    `executeQuery` in interface `PreparedStatement`
  Overrides:
    `executeQuery` in class `DistributedTemplate<PreparedStatement>`
  Throws:
    `SQLException`

### executeUpdate

    public int executeUpdate()
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `PreparedStatement`
  Throws:
    `SQLException`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `PreparedStatement`
  Throws:
    `SQLException`

### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

  Specified by:
    `getParameterMetaData` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setArray

    public void setArray(int i,
                         Array x)
                  throws SQLException

  Specified by:
    `setArray` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(int arg0,
                               InputStream arg1,
                               int arg2)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBigDecimal

    public void setBigDecimal(int arg0,
                              BigDecimal arg1)
                       throws SQLException

  Specified by:
    `setBigDecimal` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int arg0,
                                InputStream arg1,
                                int arg2)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(int arg0,
                        Blob arg1)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBoolean

    public void setBoolean(int arg0,
                           boolean arg1)
                    throws SQLException

  Specified by:
    `setBoolean` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setByte

    public void setByte(int arg0,
                        byte arg1)
                 throws SQLException

  Specified by:
    `setByte` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBytes

    public void setBytes(int arg0,
                         byte[] arg1)
                  throws SQLException

  Specified by:
    `setBytes` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int arg0,
                                   Reader arg1,
                                   int arg2)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(int arg0,
                        Clob arg1)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setDate

    public void setDate(int arg0,
                        Date arg1)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setDate

    public void setDate(int arg0,
                        Date arg1,
                        Calendar arg2)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setDouble

    public void setDouble(int arg0,
                          double arg1)
                   throws SQLException

  Specified by:
    `setDouble` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setFloat

    public void setFloat(int arg0,
                         float arg1)
                  throws SQLException

  Specified by:
    `setFloat` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setInt

    public void setInt(int arg0,
                       int arg1)
                throws SQLException

  Specified by:
    `setInt` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setLong

    public void setLong(int arg0,
                        long arg1)
                 throws SQLException

  Specified by:
    `setLong` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNull

    public void setNull(int arg0,
                        int arg1)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNull

    public void setNull(int arg0,
                        int arg1,
                        String arg2)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(int arg0,
                          Object arg1)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(int arg0,
                          Object arg1,
                          int arg2)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setObject

    public void setObject(int arg0,
                          Object arg1,
                          int arg2,
                          int arg3)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setRef

    public void setRef(int arg0,
                       Ref arg1)
                throws SQLException

  Specified by:
    `setRef` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setShort

    public void setShort(int arg0,
                         short arg1)
                  throws SQLException

  Specified by:
    `setShort` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setString

    public void setString(int arg0,
                          String arg1)
                   throws SQLException

  Specified by:
    `setString` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setTime

    public void setTime(int arg0,
                        Time arg1)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setTime

    public void setTime(int arg0,
                        Time arg1,
                        Calendar arg2)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(int arg0,
                             Timestamp arg1)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(int arg0,
                             Timestamp arg1,
                             Calendar arg2)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setURL

    public void setURL(int arg0,
                       URL arg1)
                throws SQLException

  Specified by:
    `setURL` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setUnicodeStream

    public void setUnicodeStream(int arg0,
                                 InputStream arg1,
                                 int arg2)
                          throws SQLException

  Specified by:
    `setUnicodeStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### addBatch

    public void addBatch()
                  throws SQLException

  Specified by:
    `addBatch` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(int arg0,
                               InputStream arg1)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(int arg0,
                               InputStream arg1,
                               long arg2)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int arg0,
                                InputStream arg1)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int arg0,
                                InputStream arg1,
                                long arg2)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(int arg0,
                        InputStream arg1)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(int arg0,
                        InputStream arg1,
                        long arg2)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int arg0,
                                   Reader arg1)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int arg0,
                                   Reader arg1,
                                   long arg2)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(int arg0,
                        Reader arg1)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setClob

    public void setClob(int arg0,
                        Reader arg1,
                        long arg2)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(int arg0,
                                    Reader arg1)
                             throws SQLException

  Specified by:
    `setNCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(int arg0,
                                    Reader arg1,
                                    long arg2)
                             throws SQLException

  Specified by:
    `setNCharacterStream` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(int arg0,
                         NClob arg1)
                  throws SQLException

  Specified by:
    `setNClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(int arg0,
                         Reader arg1)
                  throws SQLException

  Specified by:
    `setNClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNClob

    public void setNClob(int arg0,
                         Reader arg1,
                         long arg2)
                  throws SQLException

  Specified by:
    `setNClob` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setNString

    public void setNString(int arg0,
                           String arg1)
                    throws SQLException

  Specified by:
    `setNString` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setRowId

    public void setRowId(int arg0,
                         RowId arg1)
                  throws SQLException

  Specified by:
    `setRowId` in interface `PreparedStatement`
  Throws:
    `SQLException`

### setSQLXML

    public void setSQLXML(int arg0,
                          SQLXML arg1)
                   throws SQLException

  Specified by:
    `setSQLXML` in interface `PreparedStatement`
  Throws:
    `SQLException`

### isCloseOnCompletion

    public boolean isCloseOnCompletion()
                                throws SQLException

  Overrides:
    `isCloseOnCompletion` in class `DistributedTemplate<PreparedStatement>`
  Throws:
    `SQLException`

### closeOnCompletion

    public void closeOnCompletion()
                           throws SQLException

  Overrides:
    `closeOnCompletion` in class `DistributedTemplate<PreparedStatement>`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.